## r-bioc-basilisk 1.10.2+ds

=== DESCRIPTION ===
Package: basilisk
Version: 1.10.2
Date: 2022-11-08
Title: Freezing Python Dependencies Inside Bioconductor Packages
Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
        email="infinite.monkeys.with.keyboards@gmail.com"),
        person("Vince", "Carey", role="ctb"))
Imports: utils, methods, parallel, reticulate, dir.expiry,
        basilisk.utils
Suggests: knitr, rmarkdown, BiocStyle, testthat, callr
biocViews: Infrastructure
Description: 
    Installs a self-contained conda instance that is managed by the R/Bioconductor installation machinery.
    This aims to provide a consistent Python environment that can be used reliably by Bioconductor packages.
    Functions are also provided to enable smooth interoperability of multiple Python environments in a single R session.
License: GPL-3
RoxygenNote: 7.2.1
StagedInstall: false
VignetteBuilder: knitr
BugReports: https://github.com/LTLA/basilisk/issues
git_url: https://git.bioconductor.org/packages/basilisk
git_branch: RELEASE_3_16
git_last_commit: 9c9ad75
git_last_commit_date: 2022-11-08
Date/Publication: 2022-11-08
NeedsCompilation: no
Packaged: 2022-11-08 21:20:42 UTC; biocbuild
Author: Aaron Lun [aut, cre, cph],
  Vince Carey [ctb]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-basilisk (1.10.2+ds-4) unstable; urgency=medium

  * Team upload.
  * Due to conda dependencies this package seems to work for amd64 only
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 10 Jan 2023 19:12:19 +0100

r-bioc-basilisk (1.10.2+ds-3) unstable; urgency=medium

  * Team upload.
  * Skip one failing test.

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 14:20:43 +0100

r-bioc-basilisk (1.10.2+ds-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 08:12:15 +0100

r-bioc-basilisk (1.10.2+ds-1) unstable; urgency=medium

  * Team upload.
  * Initial release (closes: #991859)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 20:31:06 +0100

=== debian/control ===
Source: r-bioc-basilisk
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-basilisk
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-basilisk.git
Homepage: https://bioconductor.org/packages/basilisk/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-reticulate,
               r-bioc-dir.expiry,
               r-bioc-basilisk.utils
Testsuite: autopkgtest-pkg-r

Package: r-bioc-basilisk
Architecture: amd64
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: freezing Python dependencies inside Bioconductor packages
 Installs a self-contained conda instance that is managed by the
 R/Bioconductor installation machinery. This aims to provide a consistent
 Python environment that can be used reliably by Bioconductor packages.
 Functions are also provided to enable smooth interoperability of
 multiple Python environments in a single R session.
 .
 The parallel installation of multiple versions of the same software is
 not supported in Debian - that is meant as a feature, not as a bug.
 Earlier versions of anything that has ever surfaced in Debian can be
 retrieved via snapshot.debian.org and integrated in a running system
 via a chroot directory or by creating a container. An increasing number
 of Python-R-interactions for machine learning however uses basilisk
 to help quick'n'easy reproducibility between installations.

## r-bioc-basilisk 1.12.1+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: basilisk
-Version: 1.10.2
-Date: 2022-11-08
+Version: 1.12.1
+Date: 2023-06-30
 Title: Freezing Python Dependencies Inside Bioconductor Packages
 Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
         email="infinite.monkeys.with.keyboards@gmail.com"),
@@ -19,12 +19,12 @@
 VignetteBuilder: knitr
 BugReports: https://github.com/LTLA/basilisk/issues
 git_url: https://git.bioconductor.org/packages/basilisk
-git_branch: RELEASE_3_16
-git_last_commit: 9c9ad75
-git_last_commit_date: 2022-11-08
-Date/Publication: 2022-11-08
+git_branch: RELEASE_3_17
+git_last_commit: 374eda1
+git_last_commit_date: 2023-06-07
+Date/Publication: 2023-06-30
 NeedsCompilation: no
-Packaged: 2022-11-08 21:20:42 UTC; biocbuild
+Packaged: 2023-06-30 20:01:28 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph],
   Vince Carey [ctb]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-basilisk (1.12.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Exclude test "setupBasiliskEnv works with local packages" since
    it keeps on failing in Salsa CI

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 09:22:48 +0200

r-bioc-basilisk (1.12.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Architecture: all
  * Previously excluded test should work

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 08:03:09 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-basilisk
-Architecture: amd64
+Architecture: all
 Depends: ${R:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}

## r-bioc-basilisk 1.14.3%2Bds

=== DESCRIPTION ===
Package: basilisk
Version: 1.14.3
Date: 2024-01-15
Title: Freezing Python Dependencies Inside Bioconductor Packages
Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
        email="infinite.monkeys.with.keyboards@gmail.com"),
        person("Vince", "Carey", role="ctb"))
Depends: reticulate
Imports: utils, methods, parallel, dir.expiry, basilisk.utils (>=
        1.14.1)
Suggests: knitr, rmarkdown, BiocStyle, testthat, callr
biocViews: Infrastructure
Description: 
    Installs a self-contained conda instance that is managed by the R/Bioconductor installation machinery.
    This aims to provide a consistent Python environment that can be used reliably by Bioconductor packages.
    Functions are also provided to enable smooth interoperability of multiple Python environments in a single R session.
License: GPL-3
RoxygenNote: 7.3.1
StagedInstall: false
VignetteBuilder: knitr
BugReports: https://github.com/LTLA/basilisk/issues
Encoding: UTF-8
git_url: https://git.bioconductor.org/packages/basilisk
git_branch: RELEASE_3_18
git_last_commit: c94a6a9
git_last_commit_date: 2024-01-29
Repository: Bioconductor 3.18
Date/Publication: 2024-01-29
NeedsCompilation: no
Packaged: 2024-01-29 21:06:37 UTC; biocbuild
Author: Aaron Lun [aut, cre, cph],
  Vince Carey [ctb]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

## r-bioc-basilisk 1.14.3+ds

=== debian/changelog ===
r-bioc-basilisk (1.14.3+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 05 Feb 2024 09:36:34 +0100

r-bioc-basilisk (1.14.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jan 2024 16:59:02 +0100

r-bioc-basilisk (1.14.1+ds-1) unstable; urgency=medium

  * Team upload.
  * Lintian-overrides since we force Architecture != all
  * Do not build on i386 on Salsa CI
  * dh-update-R to update Build-Depends (routine-update)
  Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 10:11:53 +0100

r-bioc-basilisk (1.12.1+ds-3) unstable; urgency=medium

  * Team upload.
  * Restrict Architectures to those where the package makes sense.
    Since it relies on conda we only provide it where conda works
    which is amd64 and arm64
    Closes: #1043531

 -- Andreas Tille <tille@debian.org>  Thu, 19 Oct 2023 12:44:44 +0200

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
                r-base-dev,
                r-cran-reticulate,
                r-bioc-dir.expiry,
-               r-bioc-basilisk.utils
+               r-bioc-basilisk.utils (>= 1.14.1)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-basilisk
-Architecture: all
+Architecture: amd64 arm64
 Depends: ${R:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}

## r-bioc-basilisk 1.16.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Package: basilisk
-Version: 1.14.3
-Date: 2024-01-15
+Version: 1.16.0
+Date: 2024-02-17
 Title: Freezing Python Dependencies Inside Bioconductor Packages
 Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
         email="infinite.monkeys.with.keyboards@gmail.com"),
         person("Vince", "Carey", role="ctb"))
 Depends: reticulate
 Imports: utils, methods, parallel, dir.expiry, basilisk.utils (>=
-        1.14.1)
+        1.15.1)
 Suggests: knitr, rmarkdown, BiocStyle, testthat, callr
 biocViews: Infrastructure
 Description: 
@@ -21,13 +21,13 @@
 BugReports: https://github.com/LTLA/basilisk/issues
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/basilisk
-git_branch: RELEASE_3_18
-git_last_commit: c94a6a9
-git_last_commit_date: 2024-01-29
-Repository: Bioconductor 3.18
-Date/Publication: 2024-01-29
+git_branch: RELEASE_3_19
+git_last_commit: 0a27ae6
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2024-01-29 21:06:37 UTC; biocbuild
+Packaged: 2024-05-01 02:43:53 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph],
   Vince Carey [ctb]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-basilisk (1.16.0+ds-2~0exp0) experimental; urgency=medium

  * Team upload.
  * Build for any 64-bit architecture, not just amd64 and arm64.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 20:13:38 +0200

r-bioc-basilisk (1.16.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 00:18:08 +0200

r-bioc-basilisk (1.16.0+ds-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 14:34:49 +0200

r-bioc-basilisk (1.16.0+ds-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * d/control: Skip building on 32-bit systems.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 11:12:43 +0200

=== debian/control ===
--- 
+++ 
@@ -12,16 +12,20 @@
                dh-r,
                r-base-dev,
                r-cran-reticulate,
-               r-bioc-dir.expiry,
-               r-bioc-basilisk.utils (>= 1.14.1)
+               r-bioc-dir.expiry (>= 1.12.0),
+               r-bioc-basilisk.utils (>= 1.16.0),
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-basilisk
-Architecture: amd64 arm64
+Architecture: any
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-dir.expiry (>= 1.12.0),
+         r-bioc-basilisk.utils (>= 1.16.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1)
 Description: freezing Python dependencies inside Bioconductor packages
  Installs a self-contained conda instance that is managed by the
  R/Bioconductor installation machinery. This aims to provide a consistent

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,dversionmangle=auto,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/basilisk.html .*/basilisk_(.*).tar.gz

## r-bioc-basilisk 1.18.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: basilisk
-Version: 1.16.0
-Date: 2024-02-17
+Version: 1.18.0
+Date: 2024-07-27
 Title: Freezing Python Dependencies Inside Bioconductor Packages
 Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
         email="infinite.monkeys.with.keyboards@gmail.com"),
@@ -21,13 +21,13 @@
 BugReports: https://github.com/LTLA/basilisk/issues
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/basilisk
-git_branch: RELEASE_3_19
-git_last_commit: 0a27ae6
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 31887d4
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 02:43:53 UTC; biocbuild
+Packaged: 2024-10-29 23:35:47 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph],
   Vince Carey [ctb]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== inst/example/DESCRIPTION ===
Package: son.of.basilisk
Version: 0.99.0
Date: 2020-01-25
Title: Son of Basilisk
Authors@R:
    person("Aaron", "Lun", email="infinite.monkeys.with.keyboards@gmail.com",
        role=c("aut", "cre"))
License: GPL-3
Description: Provides a functioning example of how to set up a 
    client package that depends on the basilisk package.
Imports:
    basilisk,
    reticulate
Suggests:
    testthat
RoxygenNote: 7.1.1
StagedInstall: no

=== debian/changelog ===
r-bioc-basilisk (1.18.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 03:26:45 +0100

r-bioc-basilisk (1.18.0+ds-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 14:01:47 +0100

=== debian/control ===
--- 
+++ 
@@ -6,26 +6,25 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-basilisk
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-basilisk.git
 Homepage: https://bioconductor.org/packages/basilisk/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-reticulate,
-               r-bioc-dir.expiry (>= 1.12.0),
-               r-bioc-basilisk.utils (>= 1.16.0),
+               r-bioc-dir.expiry,
+               r-bioc-basilisk.utils (>= 1.15.1),
                architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-basilisk
-Architecture: any
+Architecture: amd64 arm64
+# basilisk builds everywhere, but since it depends on conda, we only package for amd64 and arm64
+# as conda does not yet (2024-08-18) support mips64el, riscv64, ppc64el, etc..
 Depends: ${R:Depends},
-         ${misc:Depends},
-         r-bioc-dir.expiry (>= 1.12.0),
-         r-bioc-basilisk.utils (>= 1.16.0)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-biocstyle (>= 2.32.1)
+Suggests: ${R:Suggests}
 Description: freezing Python dependencies inside Bioconductor packages
  Installs a self-contained conda instance that is managed by the
  R/Bioconductor installation machinery. This aims to provide a consistent
